Skip to main content
Monitoring & Collection/Profiling

GetProfilingCircuitBreakerStatus

Get the current circuit breaker state for profiling infrastructure.

GET/api/v1/profiling/circuit-status

Operation ID

GetProfilingCircuitBreakerStatus

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • state
    String

    Current circuit breaker state.

    Example: closed

  • failureCount
    Integer

    Consecutive failure count that contributed to the current state.

    Example: 5

  • lastFailureAt
    String

    Timestamp of the most recent failure that affected the circuit breaker.

    Example: 2026-01-15T08:00:00Z

  • nextRetryAt
    String

    Timestamp when the circuit breaker will attempt its next probe.

    Example: 2026-01-15T08:00:00Z

  • retryAfterSeconds
    Integer

    Seconds to wait before the next retry attempt.

    Example: 30